Share Buyback Information (TDnet) (/markets/share_buyback_tdnet)
You can obtain data on share buyback disclosures on TDnet
Overview
The dataset delivers detailed information on share buybacks authorized by board or shareholder resolutions, including the start of buyback programs, ongoing status updates, and notices of completion, as timely disclosed by listed companies on TDnet.
Attention
Parameter and Response
When acquiring data, issue code (code) or date (disclosed_date) can be specified. The combination of each parameter and the results of the response are as below.
All data for the specified issue.
Data for the specified issue for the specified date(disclosed_date).
Data for the specified issue for the specified period.
Get Share Buyback Information (TDnet)
GET https://api.jquants-pro.com/v2/markets/share_buyback_tdnet
When acquiring data, issue code (code) or date (disclosed_date) can be specified.
* is a required item.
Query Parameters
code
String
4 or 5 digit issue code
(e.g. 8697 or 86970)
date
String
Disclosed date
(e.g. 20240301 or 2024-03-01)
from
String
Disclosed date from
(e.g. 20240301 or 2024-03-01)
to
String
Disclosed date to
(e.g. 20240301 or 2024-03-01)
pagination_key
String
String to specify the beginning of the search
Set the pagination_key returned from the past search.
Headers
Authorization*
String
Access key
Data Item
DisclosedDate
Disclosed date
String
YYYY-MM-DD
DisclosedTime
Disclosed time
String
HH:MM:SS
Code
Issue code
String
DisclosureType
Disclosure type
String
start: Share buyback decision status: Share buyback status complete: Share buyback completion correction: Correction alteration: Change cancellation: Cancellation others: Others
PurchasingMethod
Purchasing method
String
market: market trading tost3: off-auction trading(ToSTNeT-3) mix: Use of the above tob: take-over bid otc: Over-the-Counter others: Others
BoardMeetingDate
Board meeting date
String
YYYY-MM-DD
MaximumSharesToBeAcquired
Maximum number of shares to be acquired
Number
MaximumTotalAcquisitionCost
Maximum total acquisition cost
Number
ApprovedAcquisitionStartDate
Approved acquisition start date
String
YYYY-MM-DD
ApprovedAcquisitionEndDate
Approved acquisition end date
String
YYYY-MM-DD
CumulativeNumberOfSharesPurchased
Cumulative number of shares purchased
Number
CumulativeTotalPurchasePrice
Cumulative total purchase price
Number
PurchasePeriodStartDate
Purchase period start date
String
YYYY-MM-DD
PurchasePeriodEndDate
Purchase period end date
String
YYYY-MM-DD
PurchasePricePerShare
Purchase price per share(tost3, tob, otc only)
Number
PurchaseDate
Purchase date(tost3 only)
String
YYYY-MM-DD
NumberOfSharesPurchase
Number of shares purchased
Number
TotalPurchasePrice
Total purchase price
Number
API Call Sample Code
Last updated